pkg-repgen(8)

NAME
pkg-repgen - generate a package repository for pkg-get

SYNOPSIS
pkg-repgen [options][package1...packageN]

DESCRIPTION
pkg-repgen generates files needed by a pkg-get(8) package repository. It also generates a html index of the packages.

USAGE
run pkg-repgen from the directory containing packages to generate the whole repository. Specify a list of package names to update only those packages (this is expecially useful with large repositories). Note that the html index is not updated when single packages are specified.

OPTIONS

--prtdir=PATH
    use prtdir to override the default used by prt-get

--header=FILE
    insert FILE at the beginning of the html index

--header=FILE
    insert FILE at the beginning of the html index

--title=title
    use the specified title for the index page

EXAMPLES
pkg-repgen

pkg-repgen kdebase kdelibs pkg-repgen --prtdir=/tmp/mytestrepo --header=/tmp/header.html

AUTHORS
Simone Rota <sip@varlock.com> index generation code adapted from Jukka Heino's portspage

SEE ALSO
pkg-get(8), prt-get(8)